# NOT PRODUCTION READY

# Operator - Sign PYTH-SPL Transaction

## Requirements

* TODO: Move this into the "provisioner" document, per this discussion: https://git.distrust.co/public/docs/pulls/10#issuecomment-1002

* 2 primary operators will be operating the offline machine and online machine

    * Ensure both primary operators have their [Operator Keys](../../../../../../glossary.md#operator-key)

* Photographic tamper proofing evidence

    * Both operators should print photographic evidence from digital cameras which is stored in a PGP signed repository. The photographs should be of the top and underside of the vacuum sealed object.

        * The operators should verify the commit signatures of the photographs they are printing against a list of permitted PGP keys

            * TODO: where do we refer to permitted PGP keys

* Ensure location has [tamper proofing tools](../../../../../../tamper-evidence-methods.md#vacuum-sealed-bags-with-filler)

    * Vacuum sealer

    * Vacuum roll

    * Colored beads

* PureBoot smart card (TODO)

* 5 SD cards (2 fresh, formatted as ext4, and 3 cards with prepared data)

    * 1 SD card for transferring transaction data from online to air-gapped machine

    * 1 SD card for storing tamper proofing evidence produced at the end of the ceremony

    * 1 SD card which has the shardfile, labelled "Shardile"

        * This should be write-locked and stored in tamper proofing along with air-gapped machine
    
    * 1 SD card with "trusted keys" for proposers and approvers, both signed by each operator using their operator key (TODO)

        * This should be write-locked and stored in tamper proofing along with air-gapped machine

    * 1 SD card with AirgapOS
        
        * This should be write-locked and stored in tamper proofing along with air-gapped machine

* Digital camera (TODO selection)

* [Online machine](../../../../../../online-machine-provisioning.md) used for fetching transaction data

## Procedure

1. Enter the designated location with the 3 operators and all required equipment

2. Lock access to the location - there should be no inflow or outflow of people during the ceremony

3. Retrieve sealed laptop and polaroid from locked storage

### Unsealing Tamper Proofing
{{ #include ../../../../../../tamper-evidence-methods.md:vsbwf-procedure-unsealing}}

### Secure Boot Procedure
0. Plug PureBoot smart card into air-gapped machine

1. Plug in SD card labelled "AirgapOS"

{{ #include ../../../../../../secure-boot-sequence.md:prepared}}

0. Plug in SD card labelled "Trusted Keys"

    * Load well known PGP keys of proposer and approver, and sign them using operator keys (TODO: NOT IMPLEMENTED)

        * `gpg --import <keyfile_name>`

1. Insert SD card labelled "shardfile"

2. `keyfork recover shard --daemon`

    * Follow on screen prompts

3. As a last step, run the `icepick` command which is awaiting the transaction payload

    * `icepick workflow sol-transfer` 

    * Follow on screen prompts


### Obtain Transaction Request

1. Turn on online machine

2. Get transaction request(s)

    * TODO define means (could just be email?)

3. Run `icepick workflow sol-broadcast` command

    * Wait for prompt and plug in fresh SD card

    * Await completion message before removing SD card

    * This command will set the computer into "awaiting mode", which will broadcast the signed transaction from the SD card once it's plugged back in

5. Unplug the SD card and pass it to the air-gapped machine operators

### Sign Transaction

1. Plug in SD card with transaction payload

2. Wait for the screen to display the transaction information. (TODO: NOT IMPLEMENTED)

    * In the background:

        * The transaction is constructed

        * Signatures of tx data are verified against well known keys which were loaded by operators into local GPG keychain and signed by operators (TODO: NOT IMPLEMENTED)

3. If any issues are detected with data you will be prompted and should initiate [incident response (todo)](todo)

4. Wait for the "completed" message

5. Unplug and give the SD card back to the online machine operator

### Broadcast Transaction

* Online machine operator takes the SD card to online machine and plugs it in

* The still running process from running the command to create the transaction in [Obtain Transaction Request](#obtain-transaction-request) will broadcast the transaction automatically

* Await the "completed" message

### Finalization

* Shut down online machine

* Shut down the air gapped machine

* TODO: Add information about material disposal, per this discussion: https://git.distrust.co/public/docs/pulls/10#issuecomment-1004

#### Sealing

{{ #include ../../../../../../tamper-evidence-methods.md:vsbwf-procedure-sealing}}

