# Provisioner - Procure Hardware

The provisioner is responsible for procuring equipment. Their main focus is:

* Minimizing hardware supply chain security risks

* Ensuring availability of necessary equipment

## Laptops

### Air-Gapped Machine

1. Procure a [Purism Librem 14](../../../../hardware.md#air-gapped-computer)

2. Provision AirgapOS using [this guide](../../../../one-time-use-airgapos.md)

3. Apply [vacuum sealing + filler tamper proofing](../../../../tamper-evidence-methods.md#vacuum-sealed-bags-with-filler) to the laptop and the SD card

4. Store the sealed package in a secure location

### Online Machine

Procure either a ChromeBook or a computer capable of running QubesOS according to [this guide](../../../../online-machine-provisioning.md)

## Tamper Proofing Equipment

This guide contains specific equipment models: [guide](../../../../tamper-evidence-methods.md#vacuum-sealed-bags-with-filler)

* Vacuum Sealer

* Vacuum sealer roll

* Colored beads

* Digital camera

* Polaroid camera

## Other Equipment

* SD cards

    * TODO: Add clarification around formatting and labeling SD cards, per this discussion: https://git.distrust.co/public/docs/pulls/10#issuecomment-1004

    * [Kingston Industrial 8GB SD Memory Card](https://www.kingston.com/en/memory-cards/industrial-grade-sd-uhs-i-u3?capacity=8gb)

    * [Kingston Indsutrial 8GB microSD Memory Card](https://shop.kingston.com/products/industrial-microsd-card-memory-card?variant=40558543405248)

* SD Card USB Adapter

    * SD card reader: https://www.kingston.com/en/memory-card-readers/mobilelite-plus-sd-reader

    * microSD card reader: https://www.kingston.com/en/memory-card-readers/mobilelite-plus-microsd-reader

    * Workflow station hub (may prove helpful with workflows): https://www.kingston.com/en/memory-card-readers/workflow-station-hub

